Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network231.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
231.167.0.0
Broadcast address
231.167.255.255
First usable
231.167.0.1
Last usable
231.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E7A70000 · Integer 3886481408 to 3886546943
Reverse DNS zone
167.231.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100111.10100111..00000000.00000000231.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11100111.10100111..00000000.00000000231.167.0.0
Broadcast11100111.10100111..11111111.11111111231.167.255.255
Split into smaller subnets/26

231.167.0.0/16 makes 1,024 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1231.167.0.0/26231.167.0.1 to 231.167.0.62231.167.0.6362
2231.167.0.64/26231.167.0.65 to 231.167.0.126231.167.0.12762
3231.167.0.128/26231.167.0.129 to 231.167.0.190231.167.0.19162
4231.167.0.192/26231.167.0.193 to 231.167.0.254231.167.0.25562
5231.167.1.0/26231.167.1.1 to 231.167.1.62231.167.1.6362
6231.167.1.64/26231.167.1.65 to 231.167.1.126231.167.1.12762
7231.167.1.128/26231.167.1.129 to 231.167.1.190231.167.1.19162
8231.167.1.192/26231.167.1.193 to 231.167.1.254231.167.1.25562
9231.167.2.0/26231.167.2.1 to 231.167.2.62231.167.2.6362
10231.167.2.64/26231.167.2.65 to 231.167.2.126231.167.2.12762
11231.167.2.128/26231.167.2.129 to 231.167.2.190231.167.2.19162
12231.167.2.192/26231.167.2.193 to 231.167.2.254231.167.2.25562
13231.167.3.0/26231.167.3.1 to 231.167.3.62231.167.3.6362
14231.167.3.64/26231.167.3.65 to 231.167.3.126231.167.3.12762
15231.167.3.128/26231.167.3.129 to 231.167.3.190231.167.3.19162
16231.167.3.192/26231.167.3.193 to 231.167.3.254231.167.3.25562
17231.167.4.0/26231.167.4.1 to 231.167.4.62231.167.4.6362
18231.167.4.64/26231.167.4.65 to 231.167.4.126231.167.4.12762
19231.167.4.128/26231.167.4.129 to 231.167.4.190231.167.4.19162
20231.167.4.192/26231.167.4.193 to 231.167.4.254231.167.4.25562
21231.167.5.0/26231.167.5.1 to 231.167.5.62231.167.5.6362
22231.167.5.64/26231.167.5.65 to 231.167.5.126231.167.5.12762
23231.167.5.128/26231.167.5.129 to 231.167.5.190231.167.5.19162
24231.167.5.192/26231.167.5.193 to 231.167.5.254231.167.5.25562
25231.167.6.0/26231.167.6.1 to 231.167.6.62231.167.6.6362
26231.167.6.64/26231.167.6.65 to 231.167.6.126231.167.6.12762
27231.167.6.128/26231.167.6.129 to 231.167.6.190231.167.6.19162
28231.167.6.192/26231.167.6.193 to 231.167.6.254231.167.6.25562
29231.167.7.0/26231.167.7.1 to 231.167.7.62231.167.7.6362
30231.167.7.64/26231.167.7.65 to 231.167.7.126231.167.7.12762
31231.167.7.128/26231.167.7.129 to 231.167.7.190231.167.7.19162
32231.167.7.192/26231.167.7.193 to 231.167.7.254231.167.7.25562
33231.167.8.0/26231.167.8.1 to 231.167.8.62231.167.8.6362
34231.167.8.64/26231.167.8.65 to 231.167.8.126231.167.8.12762
35231.167.8.128/26231.167.8.129 to 231.167.8.190231.167.8.19162
36231.167.8.192/26231.167.8.193 to 231.167.8.254231.167.8.25562
37231.167.9.0/26231.167.9.1 to 231.167.9.62231.167.9.6362
38231.167.9.64/26231.167.9.65 to 231.167.9.126231.167.9.12762
39231.167.9.128/26231.167.9.129 to 231.167.9.190231.167.9.19162
40231.167.9.192/26231.167.9.193 to 231.167.9.254231.167.9.25562
41231.167.10.0/26231.167.10.1 to 231.167.10.62231.167.10.6362
42231.167.10.64/26231.167.10.65 to 231.167.10.126231.167.10.12762
43231.167.10.128/26231.167.10.129 to 231.167.10.190231.167.10.19162
44231.167.10.192/26231.167.10.193 to 231.167.10.254231.167.10.25562
45231.167.11.0/26231.167.11.1 to 231.167.11.62231.167.11.6362
46231.167.11.64/26231.167.11.65 to 231.167.11.126231.167.11.12762
47231.167.11.128/26231.167.11.129 to 231.167.11.190231.167.11.19162
48231.167.11.192/26231.167.11.193 to 231.167.11.254231.167.11.25562
49231.167.12.0/26231.167.12.1 to 231.167.12.62231.167.12.6362
50231.167.12.64/26231.167.12.65 to 231.167.12.126231.167.12.12762
51231.167.12.128/26231.167.12.129 to 231.167.12.190231.167.12.19162
52231.167.12.192/26231.167.12.193 to 231.167.12.254231.167.12.25562
53231.167.13.0/26231.167.13.1 to 231.167.13.62231.167.13.6362
54231.167.13.64/26231.167.13.65 to 231.167.13.126231.167.13.12762
55231.167.13.128/26231.167.13.129 to 231.167.13.190231.167.13.19162
56231.167.13.192/26231.167.13.193 to 231.167.13.254231.167.13.25562
57231.167.14.0/26231.167.14.1 to 231.167.14.62231.167.14.6362
58231.167.14.64/26231.167.14.65 to 231.167.14.126231.167.14.12762
59231.167.14.128/26231.167.14.129 to 231.167.14.190231.167.14.19162
60231.167.14.192/26231.167.14.193 to 231.167.14.254231.167.14.25562
61231.167.15.0/26231.167.15.1 to 231.167.15.62231.167.15.6362
62231.167.15.64/26231.167.15.65 to 231.167.15.126231.167.15.12762
63231.167.15.128/26231.167.15.129 to 231.167.15.190231.167.15.19162
64231.167.15.192/26231.167.15.193 to 231.167.15.254231.167.15.25562
65231.167.16.0/26231.167.16.1 to 231.167.16.62231.167.16.6362
66231.167.16.64/26231.167.16.65 to 231.167.16.126231.167.16.12762
67231.167.16.128/26231.167.16.129 to 231.167.16.190231.167.16.19162
68231.167.16.192/26231.167.16.193 to 231.167.16.254231.167.16.25562
69231.167.17.0/26231.167.17.1 to 231.167.17.62231.167.17.6362
70231.167.17.64/26231.167.17.65 to 231.167.17.126231.167.17.12762
71231.167.17.128/26231.167.17.129 to 231.167.17.190231.167.17.19162
72231.167.17.192/26231.167.17.193 to 231.167.17.254231.167.17.25562
73231.167.18.0/26231.167.18.1 to 231.167.18.62231.167.18.6362
74231.167.18.64/26231.167.18.65 to 231.167.18.126231.167.18.12762
75231.167.18.128/26231.167.18.129 to 231.167.18.190231.167.18.19162
76231.167.18.192/26231.167.18.193 to 231.167.18.254231.167.18.25562
77231.167.19.0/26231.167.19.1 to 231.167.19.62231.167.19.6362
78231.167.19.64/26231.167.19.65 to 231.167.19.126231.167.19.12762
79231.167.19.128/26231.167.19.129 to 231.167.19.190231.167.19.19162
80231.167.19.192/26231.167.19.193 to 231.167.19.254231.167.19.25562
81231.167.20.0/26231.167.20.1 to 231.167.20.62231.167.20.6362
82231.167.20.64/26231.167.20.65 to 231.167.20.126231.167.20.12762
83231.167.20.128/26231.167.20.129 to 231.167.20.190231.167.20.19162
84231.167.20.192/26231.167.20.193 to 231.167.20.254231.167.20.25562
85231.167.21.0/26231.167.21.1 to 231.167.21.62231.167.21.6362
86231.167.21.64/26231.167.21.65 to 231.167.21.126231.167.21.12762
87231.167.21.128/26231.167.21.129 to 231.167.21.190231.167.21.19162
88231.167.21.192/26231.167.21.193 to 231.167.21.254231.167.21.25562
89231.167.22.0/26231.167.22.1 to 231.167.22.62231.167.22.6362
90231.167.22.64/26231.167.22.65 to 231.167.22.126231.167.22.12762
91231.167.22.128/26231.167.22.129 to 231.167.22.190231.167.22.19162
92231.167.22.192/26231.167.22.193 to 231.167.22.254231.167.22.25562
93231.167.23.0/26231.167.23.1 to 231.167.23.62231.167.23.6362
94231.167.23.64/26231.167.23.65 to 231.167.23.126231.167.23.12762
95231.167.23.128/26231.167.23.129 to 231.167.23.190231.167.23.19162
96231.167.23.192/26231.167.23.193 to 231.167.23.254231.167.23.25562
97231.167.24.0/26231.167.24.1 to 231.167.24.62231.167.24.6362
98231.167.24.64/26231.167.24.65 to 231.167.24.126231.167.24.12762
99231.167.24.128/26231.167.24.129 to 231.167.24.190231.167.24.19162
100231.167.24.192/26231.167.24.193 to 231.167.24.254231.167.24.25562
101231.167.25.0/26231.167.25.1 to 231.167.25.62231.167.25.6362
102231.167.25.64/26231.167.25.65 to 231.167.25.126231.167.25.12762
103231.167.25.128/26231.167.25.129 to 231.167.25.190231.167.25.19162
104231.167.25.192/26231.167.25.193 to 231.167.25.254231.167.25.25562
105231.167.26.0/26231.167.26.1 to 231.167.26.62231.167.26.6362
106231.167.26.64/26231.167.26.65 to 231.167.26.126231.167.26.12762
107231.167.26.128/26231.167.26.129 to 231.167.26.190231.167.26.19162
108231.167.26.192/26231.167.26.193 to 231.167.26.254231.167.26.25562
109231.167.27.0/26231.167.27.1 to 231.167.27.62231.167.27.6362
110231.167.27.64/26231.167.27.65 to 231.167.27.126231.167.27.12762
111231.167.27.128/26231.167.27.129 to 231.167.27.190231.167.27.19162
112231.167.27.192/26231.167.27.193 to 231.167.27.254231.167.27.25562
113231.167.28.0/26231.167.28.1 to 231.167.28.62231.167.28.6362
114231.167.28.64/26231.167.28.65 to 231.167.28.126231.167.28.12762
115231.167.28.128/26231.167.28.129 to 231.167.28.190231.167.28.19162
116231.167.28.192/26231.167.28.193 to 231.167.28.254231.167.28.25562
117231.167.29.0/26231.167.29.1 to 231.167.29.62231.167.29.6362
118231.167.29.64/26231.167.29.65 to 231.167.29.126231.167.29.12762
119231.167.29.128/26231.167.29.129 to 231.167.29.190231.167.29.19162
120231.167.29.192/26231.167.29.193 to 231.167.29.254231.167.29.25562
121231.167.30.0/26231.167.30.1 to 231.167.30.62231.167.30.6362
122231.167.30.64/26231.167.30.65 to 231.167.30.126231.167.30.12762
123231.167.30.128/26231.167.30.129 to 231.167.30.190231.167.30.19162
124231.167.30.192/26231.167.30.193 to 231.167.30.254231.167.30.25562
125231.167.31.0/26231.167.31.1 to 231.167.31.62231.167.31.6362
126231.167.31.64/26231.167.31.65 to 231.167.31.126231.167.31.12762
127231.167.31.128/26231.167.31.129 to 231.167.31.190231.167.31.19162
128231.167.31.192/26231.167.31.193 to 231.167.31.254231.167.31.25562
129231.167.32.0/26231.167.32.1 to 231.167.32.62231.167.32.6362
130231.167.32.64/26231.167.32.65 to 231.167.32.126231.167.32.12762
131231.167.32.128/26231.167.32.129 to 231.167.32.190231.167.32.19162
132231.167.32.192/26231.167.32.193 to 231.167.32.254231.167.32.25562
133231.167.33.0/26231.167.33.1 to 231.167.33.62231.167.33.6362
134231.167.33.64/26231.167.33.65 to 231.167.33.126231.167.33.12762
135231.167.33.128/26231.167.33.129 to 231.167.33.190231.167.33.19162
136231.167.33.192/26231.167.33.193 to 231.167.33.254231.167.33.25562
137231.167.34.0/26231.167.34.1 to 231.167.34.62231.167.34.6362
138231.167.34.64/26231.167.34.65 to 231.167.34.126231.167.34.12762
139231.167.34.128/26231.167.34.129 to 231.167.34.190231.167.34.19162
140231.167.34.192/26231.167.34.193 to 231.167.34.254231.167.34.25562
141231.167.35.0/26231.167.35.1 to 231.167.35.62231.167.35.6362
142231.167.35.64/26231.167.35.65 to 231.167.35.126231.167.35.12762
143231.167.35.128/26231.167.35.129 to 231.167.35.190231.167.35.19162
144231.167.35.192/26231.167.35.193 to 231.167.35.254231.167.35.25562
145231.167.36.0/26231.167.36.1 to 231.167.36.62231.167.36.6362
146231.167.36.64/26231.167.36.65 to 231.167.36.126231.167.36.12762
147231.167.36.128/26231.167.36.129 to 231.167.36.190231.167.36.19162
148231.167.36.192/26231.167.36.193 to 231.167.36.254231.167.36.25562
149231.167.37.0/26231.167.37.1 to 231.167.37.62231.167.37.6362
150231.167.37.64/26231.167.37.65 to 231.167.37.126231.167.37.12762
151231.167.37.128/26231.167.37.129 to 231.167.37.190231.167.37.19162
152231.167.37.192/26231.167.37.193 to 231.167.37.254231.167.37.25562
153231.167.38.0/26231.167.38.1 to 231.167.38.62231.167.38.6362
154231.167.38.64/26231.167.38.65 to 231.167.38.126231.167.38.12762
155231.167.38.128/26231.167.38.129 to 231.167.38.190231.167.38.19162
156231.167.38.192/26231.167.38.193 to 231.167.38.254231.167.38.25562
157231.167.39.0/26231.167.39.1 to 231.167.39.62231.167.39.6362
158231.167.39.64/26231.167.39.65 to 231.167.39.126231.167.39.12762
159231.167.39.128/26231.167.39.129 to 231.167.39.190231.167.39.19162
160231.167.39.192/26231.167.39.193 to 231.167.39.254231.167.39.25562
161231.167.40.0/26231.167.40.1 to 231.167.40.62231.167.40.6362
162231.167.40.64/26231.167.40.65 to 231.167.40.126231.167.40.12762
163231.167.40.128/26231.167.40.129 to 231.167.40.190231.167.40.19162
164231.167.40.192/26231.167.40.193 to 231.167.40.254231.167.40.25562
165231.167.41.0/26231.167.41.1 to 231.167.41.62231.167.41.6362
166231.167.41.64/26231.167.41.65 to 231.167.41.126231.167.41.12762
167231.167.41.128/26231.167.41.129 to 231.167.41.190231.167.41.19162
168231.167.41.192/26231.167.41.193 to 231.167.41.254231.167.41.25562
169231.167.42.0/26231.167.42.1 to 231.167.42.62231.167.42.6362
170231.167.42.64/26231.167.42.65 to 231.167.42.126231.167.42.12762
171231.167.42.128/26231.167.42.129 to 231.167.42.190231.167.42.19162
172231.167.42.192/26231.167.42.193 to 231.167.42.254231.167.42.25562
173231.167.43.0/26231.167.43.1 to 231.167.43.62231.167.43.6362
174231.167.43.64/26231.167.43.65 to 231.167.43.126231.167.43.12762
175231.167.43.128/26231.167.43.129 to 231.167.43.190231.167.43.19162
176231.167.43.192/26231.167.43.193 to 231.167.43.254231.167.43.25562
177231.167.44.0/26231.167.44.1 to 231.167.44.62231.167.44.6362
178231.167.44.64/26231.167.44.65 to 231.167.44.126231.167.44.12762
179231.167.44.128/26231.167.44.129 to 231.167.44.190231.167.44.19162
180231.167.44.192/26231.167.44.193 to 231.167.44.254231.167.44.25562
181231.167.45.0/26231.167.45.1 to 231.167.45.62231.167.45.6362
182231.167.45.64/26231.167.45.65 to 231.167.45.126231.167.45.12762
183231.167.45.128/26231.167.45.129 to 231.167.45.190231.167.45.19162
184231.167.45.192/26231.167.45.193 to 231.167.45.254231.167.45.25562
185231.167.46.0/26231.167.46.1 to 231.167.46.62231.167.46.6362
186231.167.46.64/26231.167.46.65 to 231.167.46.126231.167.46.12762
187231.167.46.128/26231.167.46.129 to 231.167.46.190231.167.46.19162
188231.167.46.192/26231.167.46.193 to 231.167.46.254231.167.46.25562
189231.167.47.0/26231.167.47.1 to 231.167.47.62231.167.47.6362
190231.167.47.64/26231.167.47.65 to 231.167.47.126231.167.47.12762
191231.167.47.128/26231.167.47.129 to 231.167.47.190231.167.47.19162
192231.167.47.192/26231.167.47.193 to 231.167.47.254231.167.47.25562
193231.167.48.0/26231.167.48.1 to 231.167.48.62231.167.48.6362
194231.167.48.64/26231.167.48.65 to 231.167.48.126231.167.48.12762
195231.167.48.128/26231.167.48.129 to 231.167.48.190231.167.48.19162
196231.167.48.192/26231.167.48.193 to 231.167.48.254231.167.48.25562
197231.167.49.0/26231.167.49.1 to 231.167.49.62231.167.49.6362
198231.167.49.64/26231.167.49.65 to 231.167.49.126231.167.49.12762
199231.167.49.128/26231.167.49.129 to 231.167.49.190231.167.49.19162
200231.167.49.192/26231.167.49.193 to 231.167.49.254231.167.49.25562
201231.167.50.0/26231.167.50.1 to 231.167.50.62231.167.50.6362
202231.167.50.64/26231.167.50.65 to 231.167.50.126231.167.50.12762
203231.167.50.128/26231.167.50.129 to 231.167.50.190231.167.50.19162
204231.167.50.192/26231.167.50.193 to 231.167.50.254231.167.50.25562
205231.167.51.0/26231.167.51.1 to 231.167.51.62231.167.51.6362
206231.167.51.64/26231.167.51.65 to 231.167.51.126231.167.51.12762
207231.167.51.128/26231.167.51.129 to 231.167.51.190231.167.51.19162
208231.167.51.192/26231.167.51.193 to 231.167.51.254231.167.51.25562
209231.167.52.0/26231.167.52.1 to 231.167.52.62231.167.52.6362
210231.167.52.64/26231.167.52.65 to 231.167.52.126231.167.52.12762
211231.167.52.128/26231.167.52.129 to 231.167.52.190231.167.52.19162
212231.167.52.192/26231.167.52.193 to 231.167.52.254231.167.52.25562
213231.167.53.0/26231.167.53.1 to 231.167.53.62231.167.53.6362
214231.167.53.64/26231.167.53.65 to 231.167.53.126231.167.53.12762
215231.167.53.128/26231.167.53.129 to 231.167.53.190231.167.53.19162
216231.167.53.192/26231.167.53.193 to 231.167.53.254231.167.53.25562
217231.167.54.0/26231.167.54.1 to 231.167.54.62231.167.54.6362
218231.167.54.64/26231.167.54.65 to 231.167.54.126231.167.54.12762
219231.167.54.128/26231.167.54.129 to 231.167.54.190231.167.54.19162
220231.167.54.192/26231.167.54.193 to 231.167.54.254231.167.54.25562
221231.167.55.0/26231.167.55.1 to 231.167.55.62231.167.55.6362
222231.167.55.64/26231.167.55.65 to 231.167.55.126231.167.55.12762
223231.167.55.128/26231.167.55.129 to 231.167.55.190231.167.55.19162
224231.167.55.192/26231.167.55.193 to 231.167.55.254231.167.55.25562
225231.167.56.0/26231.167.56.1 to 231.167.56.62231.167.56.6362
226231.167.56.64/26231.167.56.65 to 231.167.56.126231.167.56.12762
227231.167.56.128/26231.167.56.129 to 231.167.56.190231.167.56.19162
228231.167.56.192/26231.167.56.193 to 231.167.56.254231.167.56.25562
229231.167.57.0/26231.167.57.1 to 231.167.57.62231.167.57.6362
230231.167.57.64/26231.167.57.65 to 231.167.57.126231.167.57.12762
231231.167.57.128/26231.167.57.129 to 231.167.57.190231.167.57.19162
232231.167.57.192/26231.167.57.193 to 231.167.57.254231.167.57.25562
233231.167.58.0/26231.167.58.1 to 231.167.58.62231.167.58.6362
234231.167.58.64/26231.167.58.65 to 231.167.58.126231.167.58.12762
235231.167.58.128/26231.167.58.129 to 231.167.58.190231.167.58.19162
236231.167.58.192/26231.167.58.193 to 231.167.58.254231.167.58.25562
237231.167.59.0/26231.167.59.1 to 231.167.59.62231.167.59.6362
238231.167.59.64/26231.167.59.65 to 231.167.59.126231.167.59.12762
239231.167.59.128/26231.167.59.129 to 231.167.59.190231.167.59.19162
240231.167.59.192/26231.167.59.193 to 231.167.59.254231.167.59.25562
241231.167.60.0/26231.167.60.1 to 231.167.60.62231.167.60.6362
242231.167.60.64/26231.167.60.65 to 231.167.60.126231.167.60.12762
243231.167.60.128/26231.167.60.129 to 231.167.60.190231.167.60.19162
244231.167.60.192/26231.167.60.193 to 231.167.60.254231.167.60.25562
245231.167.61.0/26231.167.61.1 to 231.167.61.62231.167.61.6362
246231.167.61.64/26231.167.61.65 to 231.167.61.126231.167.61.12762
247231.167.61.128/26231.167.61.129 to 231.167.61.190231.167.61.19162
248231.167.61.192/26231.167.61.193 to 231.167.61.254231.167.61.25562
249231.167.62.0/26231.167.62.1 to 231.167.62.62231.167.62.6362
250231.167.62.64/26231.167.62.65 to 231.167.62.126231.167.62.12762
251231.167.62.128/26231.167.62.129 to 231.167.62.190231.167.62.19162
252231.167.62.192/26231.167.62.193 to 231.167.62.254231.167.62.25562
253231.167.63.0/26231.167.63.1 to 231.167.63.62231.167.63.6362
254231.167.63.64/26231.167.63.65 to 231.167.63.126231.167.63.12762
255231.167.63.128/26231.167.63.129 to 231.167.63.190231.167.63.19162
256231.167.63.192/26231.167.63.193 to 231.167.63.254231.167.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses